#!/usr/bin/python2
"""

Simple Test that just draws a funky pulsing cube in the middle of the
screen.

"""

import sys

from OpenGL.GL import *
from OpenGL.GLU import *
from OpenGL.GLUT import *

from pyhack import *

class TestGLHack(GLHack):

	def __init__(self, args):
		GLHack.__init__(self, args)
		self.initGL()
		self.size = 1

	def initGL(self):
		glClearColor(0.0, 0.0, 0.0, 0.0)
		glClearDepth(1.0)
		glEnable(GL_DEPTH_TEST)
		self.reshape(self.windowWidth, self.windowHeight)

	def reshape(self, w, h):
		glViewport(0, 0, w, h)
		glMatrixMode(GL_PROJECTION)
		glLoadIdentity()
		gluPerspective(45.0, float(w)/float(h), 0.1, 100.0)

	def draw(self):
		glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT)
		glMatrixMode(GL_MODELVIEW)		
		glPushMatrix()
		gluLookAt(0.0, 0.0, 20.0,
				  0.0, 0.0, 0.0,
				  1.0, 0.0, 0.0)
				  
		glColorf(1.0, 1.0, 1.0)

		if self.size < 10:
			self.size += 0.1
		else:
			self.size = 1
			
		glutSolidCube(self.size)
		glPopMatrix()

if __name__ == "__main__":
	x = TestGLHack(sys.argv)
	x.run()
